Skip to main content
POST
/
v1
/
message
/
send-instant
Send Instant Message
curl --request POST \
  --url https://karibu.briq.tz/v1/message/send-instant \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "content": "<string>",
  "recipients": [
    "<string>"
  ],
  "sender_id": "<string>"
}
'
{
  "success": true,
  "job_id": "<string>",
  "status": "<string>",
  "message": "<string>",
  "stats": {
    "recipients": 123,
    "sms_parts": 123,
    "total_sms": 123,
    "cost": 123
  },
  "meta": {
    "http_code": 123,
    "internal_code": "<string>",
    "description": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

Headers

X-API-Key
string
required
X-App-ID
string | null

Body

application/json
content
string
required
Example:

"Ping from Briq"

recipients
string[]
required
Example:
["255788344348"]
sender_id
string
required
campaign_id
string | null
groups
string[] | null
Example:
["group_id", "group_id"]
flash
boolean
default:false
send_at
string<date-time> | null

ISO 8601 format datetime with UTC timezone (e.g., 2025-12-11T15:30:00+00:00 or 2025-12-11T15:30:00Z)

Response

Successful Response

Response body for a successful instant message send.

success
boolean
required
job_id
string
required

Identifier for this send job. Webhook payloads include the same value in data.job_id for submit-time SMS events when the message is tied to your developer app.

status
string
required

High-level pipeline status (e.g. sent when queued for delivery).

message
string
required

Human-readable summary of the result.

stats
SendInstantMessageStats · object
required

Aggregated counts for the send request.

meta
SendInstantMessageMeta · object
required

Response metadata (codes and description).